#include<bits/stdc++.h>
using namespace std;
int main()
{
    ifstream f1("BAI3_18.inp");
    ofstream f2("BAI3_18.out");
    int k;
    f1>>k;
    string s;
    f1>>s;
    for(int i=s.length()-k;i<s.length();i++)
    {
        f2<<s[i];
    }
    for(int i=0;i<s.length()-k;i++)
    {
        f2<<s[i];
    }
}
